Loading...
Searching...
No Matches
REGFI_HBIN Struct Reference

HBIN block information. More...

`#include "regfi.h"`

## Data Fields

uint32_t | file_off
| Offset of this HBIN in the registry file.
uint32_t | ref_count
| Number of active records pointing to this block (not used currently)
uint32_t | first_hbin_off
| Offset from first hbin block.
uint32_t | block_size
| Block size of this block Should be a multiple of 4096 (0x1000)
uint32_t | next_block
| Relative offset to next block.
uint8_t | magic [REGFI_HBIN_MAGIC_SIZE]
| Magic number for the HBIN (should be "hbin").

## Detailed Description

HBIN block information.

## Field Documentation

## next_block

uint32_t REGFI_HBIN::next_block

Relative offset to next block.

Note
  This value may be unreliable!

The documentation for this struct was generated from the following file:

- regfi.h